# medz/cfg.py
#
#

""" basic package for the program. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from medz import Thing

import socket

## XMPP

cfg_xmpp = Thing()
cfg_xmpp.server = "localhost"
cfg_xmpp.username = "medz"
cfg_xmpp.channel = "#medz"
cfg_xmpp.nick = "medz"
cfg_xmpp.regels = "xmpp"
cfg_xmpp.user = "monitor@localhost"

## IRC

cfg_irc = Thing()
cfg_irc.server = "localhost"
cfg_irc.username = "medz"
cfg_irc.channel = "#medz"
cfg_irc.nick = "medz"
cfg_irc.cfg = "irc"

## KERNEL

cfg_kernel = Thing()
cfg_kernel.debug = False
cfg_kernel.background = False
cfg_kernel.openfire = False
cfg_kernel.shell = False
cfg_kernel.init = ""
cfg_kernel.workdir = ""
cfg_kernel.loglevel = "error"
cfg_kernel.packages = ["medz.bots", "medz.plugs", "medz.service"]
cfg_kernel.cfg = "kernel"

# UDP

cfg_udp = Thing()
cfg_udp.cfg = "udp"
cfg_udp.host = "localhost"
cfg_udp.port = 5500
cfg_udp.password = "boh"
cfg_udp.seed = "blablablablablaz" # needs to be 16 chars wide

## SHOW

cfg_show = Thing()
cfg_show.cfg = "show"
cfg_show.hostname = socket.getfqdn()
cfg_show.port = 10102
