# medz/werken/kijk.py
#
#

""" doorzoek de opslag. """

## IMPORTS

from medz.kernel import kernel

## CMNDS

def search_find(event):
    if not event.parsed.args: return
    objs = sorted(event.selected(), key=lambda x: x.get_timed())
    event.display_list(objs, keys=event.args, **event.parsed.switch)

kernel.register("search.find", search_find)

def search_dump(event):
    if not event.parsed.args: return
    objs = sorted(event.selected(), key=lambda x: x.get_timed())
    event.dump_list(objs, keys=event.args, **event.parsed.switch)

kernel.register("search.dump", search_dump)
