# medz/dutch/write.py
#
#

""" commenting. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from medz.utils.time import short_date, ftime
from medz.utils.mail import parse_email
from medz.errors import error
from medz.utils.url import get_url
from medz.utils.join import j

from medz.kernel import kernel
from medz import Thing

import email.message
import datetime
import mailbox
import socket
import email
import time
import os

## CMNDS

def write_log(event):
    o = Thing()
    o.prefix = "log"
    o.karma = event.parsed.karma
    o.log = event.parsed.rest
    path = o.save()
    event.ok()

kernel.register("write.log", write_log)

def write_todo(event):
    o = Thing()
    key = "todo"
    o.prefix = "todo"
    o[key] = event.parsed.rest
    path = o.save()
    event.ok()

kernel.register("write.todo", write_todo)

